%define subrel	1

Name:		sunflow
Version:	0.07.3
Release:	%mkrel 2
Summary:	Sunflow Rendering System
License:	MIT
Group:		Development/Java
URL:		http://sunflow.sourceforge.net/
# svn co https://sunflow.svn.sourceforge.net/svnroot/sunflow/trunk sunflow
# tar czf sunflow-0.07.3-src-svn.tar.gz sunflow
Source0:	sunflow-0.07.3-src-svn.tar.gz
Patch0:		sunflow-0.07.3g-patch
Patch1:		sunflow-0.07.3-noclasspathinmanifest.patch
BuildArch:	noarch
BuildRequires:	ant
BuildRequires:	janino
BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	junit

Requires:	jpackage-utils


%description
Sunflow is an open source rendering system for photo-realistic image synthesis.
It is written in Java and built around a flexible ray tracing core and
an extensible object-oriented design.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Sunflow Rendering System.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p1
%patch1 -p0

ln -sf $(build-classpath janino/janino) janino.jar

%build
%ant

%install
# .jar-repertory
mkdir -p %{buildroot}%{_javadir}
install -m 644 release/sunflow.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

# javadoc-repertory
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr release/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s sunflow-%{version} %{buildroot}%{_javadocdir}/%{name}

%files
%doc CHANGELOG LICENSE README* examples
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog
* Wed Mar 05 2014 david-david <david-david> 0.07.3-2.1.mga4
+ Revision: 600185
- remove janino package as Required (bug mga#12541)

* Fri Oct 18 2013 umeabot <umeabot> 0.07.3-2.mga4
+ Revision: 521106
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 dmorgan <dmorgan> 0.07.3-1.mga3
+ Revision: 388659
- Fix classpath

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + gil <gil>
    - imported package sunflow

